Bug 123715 - installer does not allow for proper configuration of wireless cards
installer does not allow for proper configuration of wireless cards
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 04:56 EDT by cam
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 14:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2004-05-20 04:56:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319

Description of problem:
Anaconda recognises a built in ethernet device and a PCMCIA wireless
device. However both are displayed as simple ethernet devices and I
can configure them for DHCP and whether or not they start at boot time.

However the wireless card will not connect to the network without the
correct ESSID and WEP KEY, and there is no method to enter these.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 2

    

Actual Results:  eth0 is recognised as ethernet interface;
eth1 is recognised as ethernet interface

Expected Results:  eth0 is recognised as ethernet interface;
eth1 is recognised as wireless ethernet interface allowing further
configuration

Additional info:

I will provide any other relevant info if asked.
Comment 1 Alan Cox 2004-05-21 19:21:02 EDT
Hardware types for each device would be a useful start
Comment 2 cam 2004-05-21 20:57:38 EDT
eth0 is detected as ethernet. It's the built in device on my laptop.
lspci shows:
00:0b.0 Ethernet controller: Accton Technology Corporation EN-1216
Ethernet Adapter (rev 11)
        Subsystem: AMBIT Microsystem Corp.: Unknown device 0012
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at f800
        Memory at fedffc00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [c0] Power Management version 2

The driver in use is 'tulip'

eth1 is a pcmcia wireless card. cardctl ident shows:
Socket 0:
  product info: "Belkin", "11Mbps Wireless Notebook Network Adapter",
"Version 01.02", ""
  manfid: 0x0156, 0x0002
  function: 6 (network)
The drivers used seem to be: hermes, orinoco, orinoco_cs

The machine is a Sharp laptop, PC AR-50:
Pentium III (Coppermine)
MemTotal:       387120 kB


If you need extra info please tell me what
Comment 3 Danny 2004-05-27 17:43:11 EDT
I had the same problem with my Linksys WPC11 ver. 3. I discovered if I
left the card out during the install and then configure it afterward
things work. I also was not allowed to change the channel in the
wireless setup. I had to edit
/etc/sysconfig/networking/devices/ifcfg-eth1 to get this working.
Comment 4 Jeremy Katz 2004-06-08 14:43:41 EDT
Wireless cards are not supported for use during installation with FC2.
 This is being added in FC3 (support is basically all there in the
-devel tree)

Note You need to log in before you can comment on or make changes to this bug.